Lucene search
+L

461 matches found

OSV
OSV
•added 2025/10/11 11:09 a.m.•12 views

OESA-2025-2395 ongres-scram security update

Scram is part of the family of Simple Authentication and Security Layer authentication mechanisms.It is described as part of RFC 5802 and RFC7677. This pachage is a Java implementation. Security Fixes: SCRAM Salted Challenge Response Authentication Mechanism is part of the family of Simple...

6.8CVSS7AI score0.00702EPSS
SaveExploits0References2
OSV
OSV
•added 2025/10/11 11:09 a.m.•12 views

OESA-2025-2394 ongres-scram security update

Scram is part of the family of Simple Authentication and Security Layer authentication mechanisms.It is described as part of RFC 5802 and RFC7677. This pachage is a Java implementation. Security Fixes: SCRAM Salted Challenge Response Authentication Mechanism is part of the family of Simple...

6.8CVSS7AI score0.00702EPSS
SaveExploits0References2
OSV
OSV
•added 2025/10/11 11:09 a.m.•11 views

OESA-2025-2393 ongres-scram security update

Scram is part of the family of Simple Authentication and Security Layer authentication mechanisms.It is described as part of RFC 5802 and RFC7677. This pachage is a Java implementation. Security Fixes: SCRAM Salted Challenge Response Authentication Mechanism is part of the family of Simple...

6.8CVSS7AI score0.00702EPSS
SaveExploits0References2
EUVD
EUVD
•added 2025/10/03 8:07 p.m.•19 views

EUVD-2024-3603

Malicious code in bioql PyPI...

5.3CVSS6.1AI score0.00817EPSS
SaveExploits0References8
EUVD
EUVD
•added 2025/10/03 8:07 p.m.•18 views

EUVD-2025-29670

Malicious code in bioql PyPI...

8.7CVSS6.3AI score0.00702EPSS
SaveExploits0References5
EUVD
EUVD
•added 2025/10/03 8:07 p.m.•15 views

EUVD-2022-3246

Malicious code in bioql PyPI...

7.5CVSS6.1AI score0.06299EPSS
SaveExploits1References5
EUVD
EUVD
•added 2025/10/03 8:07 p.m.•16 views

EUVD-2022-36217

Malicious code in bioql PyPI...

7.5CVSS7.6AI score0.01221EPSS
SaveExploits0References3
NVD
NVD
•added 2025/09/22 8:15 p.m.•49 views

CVE-2025-59432

SCRAM Salted Challenge Response Authentication Mechanism is part of the family of Simple Authentication and Security Layer SASL, RFC 4422 authentication mechanisms. Prior to version 3.2, a timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals...

8.7CVSS0.00702EPSS
SaveExploits0References3
Cvelist
Cvelist
•added 2025/09/22 7:22 p.m.•24 views

CVE-2025-59432 Timing Attack Vulnerability in SCRAM Authentication

SCRAM Salted Challenge Response Authentication Mechanism is part of the family of Simple Authentication and Security Layer SASL, RFC 4422 authentication mechanisms. Prior to version 3.2, a timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals...

8.7CVSS0.00702EPSS
SaveExploits0References3
OSV
OSV
•added 2025/09/22 7:22 p.m.•13 views

CVE-2025-59432 Timing Attack Vulnerability in SCRAM Authentication

SCRAM Salted Challenge Response Authentication Mechanism is part of the family of Simple Authentication and Security Layer SASL, RFC 4422 authentication mechanisms. Prior to version 3.2, a timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals...

8.7CVSS6.7AI score
SaveExploits0References5
Vulnrichment
Vulnrichment
•added 2025/09/22 7:22 p.m.•12 views

CVE-2025-59432 Timing Attack Vulnerability in SCRAM Authentication

SCRAM Salted Challenge Response Authentication Mechanism is part of the family of Simple Authentication and Security Layer SASL, RFC 4422 authentication mechanisms. Prior to version 3.2, a timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals...

8.7CVSS6.6AI score0.00702EPSS
SaveExploits0References3
CVE
CVE
•added 2025/09/22 7:22 p.m.•85 views

CVE-2025-59432

SCRAM timing attack (CVE-2025-59432) affects the SCRAM Java implementation prior to v3.2 due to using Arrays.equals to compare secret values, causing variable execution time. It can enable a timing side‑channel to infer authentication material. The issue is mitigated by using constant-time compar...

8.7CVSS6.6AI score0.00702EPSS
SaveExploits0References3
Rapid7 Vulnerability Database (full)
Rapid7 Vulnerability Database (full)
•added 2025/09/22 12:00 a.m.•2 views

CVE-2025-59432: Observable Timing Discrepancy

SCRAM Salted Challenge Response Authentication Mechanism is part of the family of Simple Authentication and Security Layer SASL, RFC 4422 authentication mechanisms. Prior to version 3.2, a timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals...

8.7CVSS5.8AI score0.00702EPSS
SaveExploits0References1
CNNVD
CNNVD
•added 2025/09/22 12:00 a.m.•19 views

SCRAM Java Implementation 安全漏洞

SCRAM Java Implementation is an open source Java implementation library for SCRAM by OnGres Inc. A security vulnerability exists in SCRAM Java Implementation versions prior to 3.2, which stems from the use of Arrays.equals for sensitive value comparisons, and could lead to a timing side channel...

8.7CVSS6.2AI score0.00702EPSS
SaveExploits0References5
Github Security Blog
Github Security Blog
•added 2025/09/16 10:20 p.m.•20 views

Timing Attack Vulnerability in SCRAM Authentication

Impact A timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals was used to compare secret values such as client proofs and server signatures. Since Arrays.equals performs a short-circuit comparison, the execution time varies depending on how...

8.7CVSS7AI score0.00702EPSS
SaveExploits0References5Affected Software1
Snyk
Snyk
•added 2025/09/16 10:20 p.m.•8 views

Timing Attack

Overview Affected versions of this package are vulnerable to Timing Attack via the verifyClientProof function which use Arrays.equals function. An attacker can infer sensitive authentication material by exploiting timing differences during the comparison of secret values. Remediation Upgrade...

8.7CVSS6.8AI score0.00702EPSS
SaveExploits0References2
Positive Technologies
Positive Technologies
•added 2025/09/16 12:00 a.m.•11 views

PT-2025-38753

Name of the Vulnerable Software and Affected Versions versions prior to 3.2 Description A timing attack issue exists in the SCRAM Java implementation due to the use of Arrays.equals for comparing sensitive values like client proofs and server signatures. Arrays.equals performs a short-circuit...

8.7CVSS6.8AI score0.00702EPSS
SaveExploits0References36
OSV
OSV
•added 2025/08/14 6:52 p.m.•10 views

MAL-2025-36068 Malicious code in test-mlw2-quell-parol-scram-mayed (npm)

The package test-mlw2-quell-parol-scram-mayed was found to contain malicious code...

7.2AI score
SaveExploits0
OSSF Malicious Packages
OSSF Malicious Packages
•added 2025/08/14 6:52 p.m.•6 views

Malicious code in test-mlw2-quell-parol-scram-mayed (npm)

The package test-mlw2-quell-parol-scram-mayed was found to contain malicious code...

7AI score
SaveExploits0
Redos
Redos
•added 2025/07/01 12:00 a.m.•10 views

ROS-20250630-05

The Salted Challenge Response Authentication Mechanism SCRAM vulnerability in the Apache Kafka Message Manager is due to a lack of verification of one-time message numbers between messages. of the Apache Kafka Message Manager is related to the lack of verification of one-time message numbers...

5.3CVSS7.4AI score0.00817EPSS
SaveExploits0
Rows per page
Query Builder